
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "trainer_target_3"
	actor[cp_model_dir]				= "player"
	actor[cp_model_name]			= "island-exit"

	actor[cp_actor_type]			= cat_block + cat_egg
	actor[cp_these_collide_with_me]	= cat_explosion

	actor[cp_in_beastie_count]		= 0

	actor[cp_launch_scale_min]		= 20.0
	actor[cp_launch_scale_max]		= 20.0

	actor[cp_egg_count]				= 1

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "swing", 100.0, 100.0, 0.0, 0.0 )

	c_add_sound_to_anim( "byebye", "general_bonus", 1.0 )

	c_add_shadow_to_bone( "main", 25.0 )	

